• 技术文章 >web前端 >js教程

    jquery不兼容ie浏览器怎么办

    coldplay.xixicoldplay.xixi2020-11-18 14:31:32原创44

    jquery不兼容ie浏览器的解决办法:1、可以使用原生JS或者低版本的【Jquery1.x】版本;2、可以给网页写两套或者多套JS代码以适应不同版本、不同类型的浏览器。

    推荐:《jquery视频教程

    jquery不兼容ie浏览器的解决办法:

    1、可以使用原生JS或者低版本的Jquery1.x版本。因为Jquery从2.x版本开始已经不再进行IE低版本(IE6、IE7、IE8)的兼容性处理。如果需要兼容低版本的IE版本,建议使用原生JS或者低版本的Jquery1.x版本。

    2、可以给网页写两套或者多套JS代码以适应不同版本、不同类型的浏览器,然后使用原生JS判断浏览器的型号和版本来加载不同的JS文件。

    具体的实现方法如下:

    <script language="javascript">
    //判断是否为IE浏览器
    if(navigator.appName == "Microsoft Internet Explorer") {
    if(navigator.appVersion.match(/7./i) == '6.' || navigator.appVersion.match(/7./i) == '7.' || 
    navigator.appVersion.match(/7./i) == '8.') {
    document.write("<script src=\"myjs1.js\">" + "</script>"); 
    } 
    else{ 
    document.write("<script src=\ "myjs2.js.js\">"+"</script>"); 
    } 
    } 
    </script>

    相关免费学习推荐:JavaScript(视频)

    以上就是jquery不兼容ie浏览器怎么办的详细内容,更多请关注php中文网其它相关文章!

    本文原创发布php中文网,转载请注明出处,感谢您的尊重!
    专题推荐:jquery ie不兼容
    上一篇:同时去掉字符串左边和右边空格的函数是什么? 下一篇:jquery如何获取选中和未选中的checkbox复选框
    第14期线上培训班

    相关文章推荐

    • 解决easyui在ie不兼容的方法• IE8不兼容rgba()如何处理• 如何解决axios在ie的不兼容• jquery从哪个版本开始不兼容ie8

    全部评论我要评论

  • 取消发布评论发送
  • 1/1

    PHP中文网